import { DeployedEnvironment } from '@melonproject/melonjs';
import * as loaders from './loaders';
export declare type Resolver<TParent = any, TArgs = any> = (parent: TParent, args: TArgs, context: Context) => any;
export declare type Loaders = {
    [K in keyof typeof loaders]: ReturnType<typeof loaders[K]>;
};
export interface Context {
    environment: DeployedEnvironment;
    loaders: Loaders;
    block: number;
}
export declare const createSchema: (environment: DeployedEnvironment) => import("graphql").GraphQLSchema;
